Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterCollections::ConverterCollection Class Reference

`#include <coherence/util/ConverterCollections.hpp>`

Inherits WrapperCollections::AbstractWrapperCollection.

Inherited by MapValuesCollection.

List of all members.

## Detailed Description

A ConverterCollection views an underlying Collection through a Converter.

## Public Types
typedef spec::Handle | Handle
| ConverterCollection Handle definition.
typedef spec::View | View
| ConverterCollection View definition.
typedef spec::Holder | Holder
| ConverterCollection Holder definition.
## Public Member Functions
virtual bool | contains (Object::View v) const
  | Determine if this collection contains the specified element. Parameters:
  | v | the element to test for containment
Returns: true iff this collection contains the given element
virtual Iterator::Handle | iterator () const
| Return an Iterator over this collection. Returns: an Iterator over this collection
virtual Muterator::Handle | iterator ()
| Return an Iterator over this collection. Returns: an Iterator over this collection
virtual ObjectArray::Handle | toArray (ObjectArray::Handle hao=NULL) const
  | Return the contents of this collection as an ObjectArray. If the collection fits in the specified array, it is returned, otherwise, a new array is allocated that is the size of this collection. If this collection fits in the array with aditional room then the element in the array immediately following the end of the collection is set to NULL. This can be useful in determining the length of this collection if the caller knows that the collection does not contain any NULL elements. Parameters:
  | hao | an array in which to store the collection's contents
Returns: a ObjectArray containing all the elements of the collection in the same order as returned by the collection's Iterator See also: Iterator
virtual bool | add (Object::Holder oh)
  | Add the given element to this collection. Parameters:
  | oh | the element to add
Returns: true iff this collection was modified as a result of this operation
virtual bool | remove (Object::View v)
  | Remove the supplied element from this collection. Parameters:
  | v | the element to remove
Returns: true iff this collection was modified as a result of this operation
virtual bool | containsAll (Collection::View vc) const
  | Determine if this collection contains all elements from the supplied collection. Parameters:
  | vCol | the collection of elements to test for containment
  Returns: true iff this collection contains all elements from the supplied collection Exceptions:
  | coherence::lang::NullPointerException | if the specified collection is NULL
See also: contains()
virtual bool | addAll (Collection::View vc)
  | Add all elements from the supplied collection to this collection. Parameters:
  | vCol | the collection of elements to add
  Returns: true iff this collection was modified as a result of this operation Exceptions:
  | coherence::lang::NullPointerException | if the specified collection is NULL
See also: add()
virtual bool | removeAll (Collection::View vc)
  | Remove all instances of the elements in the supplied collection from this collection. Upon completion, contains() on this collection will return false for all elements in the supplied collection. Parameters:
  | vCol | the collection of elements to remove
  Returns: true iff this collection was modified as a result of this operation Exceptions:
  | coherence::lang::NullPointerException | if the specified collection is NULL
See also: remove() contains()
virtual bool | retainAll (Collection::View vc)
  | Remove all elements from this collection that are not present in the supplied collection. Parameters:
  | vCol | the collection of elements to retain
  Returns: true iff this collection was modified as a result of this operation. Exceptions:
  | coherence::lang::NullPointerException | if the specified collection is NULL
See also: remove() contains()
virtual bool | equals (Object::View that) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
## Protected Member Functions
| ConverterCollection (Collection::Handle hcollDelegate, Converter::View vConvUp, Converter::View vConvDown)
| Create a WrapperCollections::AbstractWrapperCollection which delegates to the specified Collection.
| ConverterCollection (Collection::View vcollDelegate, Converter::View vConvUp, Converter::View vConvDown)
| Create a WrapperCollections::AbstractWrapperCollection which delegates to the specified Collection.
| ConverterCollection (const ConverterCollection &that)
| Copy constructor.
## Protected Attributes
FinalView< Converter > | m_vConvUp
| The Converter from the underlying container.
FinalView< Converter > | m_vConvDown
| The Converter to the underlying container.

## Constructor & Destructor Documentation

ConverterCollection | ( | Collection::Handle | hcollDelegate,
|  | Converter::View | vConvUp,
|  | Converter::View | vConvDown |
| ) |  |  | `[protected]`

Create a WrapperCollections::AbstractWrapperCollection which delegates to the specified Collection.

Parameters:

  | hcollDelegate | the specified collection
  | vConvUp | the converter from the underlying Collection
  | vConvDown | the converter to the underlying Collection

ConverterCollection | ( | Collection::View | vcollDelegate,
|  | Converter::View | vConvUp,
|  | Converter::View | vConvDown |
| ) |  |  | `[protected]`

Create a WrapperCollections::AbstractWrapperCollection which delegates to the specified Collection.

Parameters:

  | vcollDelegate | the specified collection
  | vConvUp | the converter from the underlying Collection
  | vConvDown | the converter to the underlying Collection

The documentation for this class was generated from the following file:

- coherence/util/ConverterCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.